Summary: Hex editor for huge files
Name: hexpeek
Version: 1.0.20250411
Release: 1%{?dist}
License: BSD
Group: Applications/File
URL: https://github.com/koct9i/ioping
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://www.hexpeek.com/releases/%{name}-v%{version}/%{name}-v%{version}.tar.bz2
# Patches >= 100 are / will be fixed in SCM
BuildRequires: sed
BuildRequires: libedit-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a binary editor designed for efficient operation on huge
files, but works on any file. It is not plagued by size-related crashes,
freezes, and glitches because it does not attempt to map files into its
memory; instead, it operates on files directly to fulfill user commands.

%prep
%setup -q -n %{name}-v%{version}

%build
%{__make} CC=cc CFLAGS="%{optflags} -std=gnu99 -I\$(SRCDIR) -fPIC" LIBS="-ledit"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} -m 0755 -p bin/%{name} %{buildroot}%{_bindir}/
%{__install} -m 0644 -p etc/%{name}.1 %{buildroot}%{_mandir}/man1/

# recreate symlinks
pushd bin
  for f in *; do
    if [[ "$f" != "%{name}" ]]; then
      %{__ln_s} -f %{name} %{buildroot}%{_bindir}/${f}
    fi
  done
popd

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README etc/hexpeek.html etc/hexpeek.txt
%{_bindir}/hex*
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Apr 14 2025 Simon Matter <simon.matter@invoca.ch> 1.0.20250411-1
- upgrade to release 20250411

* Tue Aug 04 2020 Simon Matter <simon.matter@invoca.ch> 1.0.20200804-1
- upgrade to release 1.0.20200804

* Thu Jul 16 2020 Simon Matter <simon.matter@invoca.ch> 0.0.20200715b-1
- upgrade to release 0.0.20200715b

* Tue Jul 14 2020 Simon Matter <simon.matter@invoca.ch> 0.0.20200713b-1
- upgrade to release 0.0.20200713b

* Mon Jul 13 2020 Simon Matter <simon.matter@invoca.ch> 0.0.20200712b-1
- upgrade to release 0.0.20200712b

* Fri Jul 10 2020 Simon Matter <simon.matter@invoca.ch> 0.0.20200707b-1
- initial package
